/*************************************************************************
    Copyright (C) 2002,2003,2004,2005 Wei Qin
    See file COPYING for more information.

    This program is free software; you can redistribute it and/or modify    
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*************************************************************************/

#ifndef __COPROC_H__
#define __COPROC_H__

#ifdef _MODULARIZE_
typedef emulator::arm_emulator armulator;
#endif

void impl_cpld(IMPL_FORMALS);
void impl_cpst(IMPL_FORMALS);

char *disasm_cpld(arm_inst_t, arm_addr_t, char *);
char *disasm_cpst(arm_inst_t, arm_addr_t, char *);

#define incr_cpld   INST_CPLD
#define incr_cpst   INST_CPST

#endif
